Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | List of all members
osmium::util::AnonymousTypedMemoryMapping< T > Class Template Reference

`#include <memory_mapping.hpp>`

Inheritance diagram for osmium::util::AnonymousTypedMemoryMapping< T >:
[legend]
Collaboration diagram for osmium::util::AnonymousTypedMemoryMapping< T >:
[legend]

## Public Member Functions
| AnonymousTypedMemoryMapping (std::size_t size)
Public Member Functions inherited from osmium::util::TypedMemoryMapping< T >
| TypedMemoryMapping (std::size_t size)
| TypedMemoryMapping (std::size_t size, MemoryMapping::mapping_mode mode, int fd, off_t offset=0)
| TypedMemoryMapping (const TypedMemoryMapping &)=delete
| You can not copy construct a TypedMemoryMapping.
TypedMemoryMapping & | operator= (const TypedMemoryMapping &)=delete
| You can not copy a TypedMemoryMapping.
| TypedMemoryMapping (TypedMemoryMapping &&other) noexcept=default
TypedMemoryMapping & | operator= (TypedMemoryMapping &&other) noexcept=default
| ~TypedMemoryMapping () noexcept=default
void | unmap ()
void | resize (std::size_t new_size)
| operator bool () const noexcept
std::size_t | size () const noexcept
int | fd () const noexcept
bool | writable () const noexcept
T * | begin () noexcept
T * | end () noexcept
const T * | cbegin () const noexcept
const T * | cend () const noexcept
const T * | begin () const noexcept
const T * | end () const noexcept

## Constructor & Destructor Documentation

## ◆ AnonymousTypedMemoryMapping()

template<typename T >

osmium::util::AnonymousTypedMemoryMapping< T >::AnonymousTypedMemoryMapping | ( | std::size_t | size | ) |
| inline explicit

The documentation for this class was generated from the following file:

- include/osmium/util/memory_mapping.hpp